.btn {
    outline: none;
    cursor: pointer;
    font-weight: 400;
    font-size: rem(16);
    min-height: rem(48);
    line-height: rem(24);
    padding: rem(8) rem(32);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    column-gap: rem(8);
    border-radius: rem(8);
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    transition: var(--transition-time);

    &:hover {
        text-decoration: none;
        transition: var(--transition-time);
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }
}


.btn-primary {
    color: white;
    background-color: var(--primary);

    &:hover {
        color: white;
        background-color: var(--primary-hover);
    }

    &:active {
        color: white;
        background-color: var(--primary);
    }
}
